Review a period's transactions and clients against the audit checklist
curl --request GET \
--url https://api.artu.ai/audits/period-review \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/audits/period-review"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/audits/period-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/audits/period-review",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/audits/period-review"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artu.ai/audits/period-review")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/audits/period-review")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"avisos": [
{
"id": "<string>",
"label": "<string>",
"status": "<string>",
"mesReportado": "<string>",
"filedAt": "2023-11-07T05:31:56Z",
"transactionCount": 4503599627370495
}
],
"transactions": [
{
"id": "<string>",
"externalId": "<string>",
"amount": "<string>",
"currency": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"auditComplete": true,
"alerts": [
{
"id": "<string>",
"label": "<string>",
"status": "<string>",
"filedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"clients": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"externalId": "<string>",
"rfc": "<string>",
"curp": "<string>",
"auditComplete": true,
"outOfScope": true,
"ebrWarning": true,
"screeningWarning": true,
"transactionIds": [
"<string>"
]
}
],
"summary": {
"pendingTransactions": 4503599627370495,
"completeTransactions": 4503599627370495,
"pendingClients": 4503599627370495,
"completeClients": 4503599627370495,
"outOfScopeClients": 4503599627370495,
"clientsWithWarnings": 4503599627370495,
"unfiledAvisos": 4503599627370495,
"unfiledAvisoTransactions": 4503599627370495,
"unreportedTransactions": 4503599627370495,
"gatePassed": true
}
}Audits
Review a period's transactions and clients against the audit checklist
GET
/
audits
/
period-review
Review a period's transactions and clients against the audit checklist
curl --request GET \
--url https://api.artu.ai/audits/period-review \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/audits/period-review"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/audits/period-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/audits/period-review",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/audits/period-review"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artu.ai/audits/period-review")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/audits/period-review")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"avisos": [
{
"id": "<string>",
"label": "<string>",
"status": "<string>",
"mesReportado": "<string>",
"filedAt": "2023-11-07T05:31:56Z",
"transactionCount": 4503599627370495
}
],
"transactions": [
{
"id": "<string>",
"externalId": "<string>",
"amount": "<string>",
"currency": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"auditComplete": true,
"alerts": [
{
"id": "<string>",
"label": "<string>",
"status": "<string>",
"filedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"clients": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"externalId": "<string>",
"rfc": "<string>",
"curp": "<string>",
"auditComplete": true,
"outOfScope": true,
"ebrWarning": true,
"screeningWarning": true,
"transactionIds": [
"<string>"
]
}
],
"summary": {
"pendingTransactions": 4503599627370495,
"completeTransactions": 4503599627370495,
"pendingClients": 4503599627370495,
"completeClients": 4503599627370495,
"outOfScopeClients": 4503599627370495,
"clientsWithWarnings": 4503599627370495,
"unfiledAvisos": 4503599627370495,
"unfiledAvisoTransactions": 4503599627370495,
"unreportedTransactions": 4503599627370495,
"gatePassed": true
}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Query Parameters
Available options:
MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH Was this page helpful?
